
class Symbol

  # Successor method for symobol. This simply converts
  # the symbol to a string uses String#succ and then
  # converts it back to a symbol.
  #
  #   :a.succ => :b
  #
  #--
  # In the future I would like this to work more like
  # a simple chracerter dial.
  #++
  def succ
    self.to_s.succ.intern
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCSymbol < Test::Unit::TestCase

    def test_succ
      assert_equal( :b, :a.succ )
      assert_equal( :aab, :aaa.succ )
      assert_equal( :"2", :"1".succ )
    end

  end

=end
